import "./index.esm-0G7eAEV5.js";
import { t as _sfc_main$1 } from "./SecondaryButton-ub85RH3e.js";
import { A as _sfc_main$5, M as _sfc_main$2, S as _sfc_main$3, f as _sfc_main$4 } from "../ssr.js";
import { useForm } from "@inertiajs/vue3";
import { createTextVNode, toDisplayString, unref, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/Accounting/AccountTransfer/Form.vue
var _sfc_main = {
	__name: "Form",
	__ssrInlineRender: true,
	props: ["accounts"],
	emits: ["close", "done"],
	setup(__props, { emit: __emit }) {
		const emits = __emit;
		const form = useForm({
			from_account_id: null,
			to_account_id: null,
			amount: null,
			reference: null,
			note: null
		});
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<form${ssrRenderAttrs(_attrs)}><div class="border-b border-gray-200 px-6 py-4 dark:border-gray-700"><div class="sm:flex sm:items-baseline sm:justify-between"><div class="sm:w-0 sm:flex-1"><h1 class="text-focus text-base font-semibold">${ssrInterpolate(_ctx.$t("Add {x}", { x: _ctx.$t("Transfer") }))}</h1><p class="text-mute mt-1 truncate text-sm">${ssrInterpolate(_ctx.$t("Please fill the form below to {action} {record}.", {
				record: _ctx.$t("transfer"),
				action: _ctx.$t("add")
			}))}</p></div></div></div><div class="grid grid-cols-6 gap-6 p-6"><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				json: true,
				id: "from_account_id",
				label: _ctx.$t("From Account"),
				modelValue: unref(form).from_account_id,
				"onUpdate:modelValue": ($event) => unref(form).from_account_id = $event,
				error: unref(form).errors.from_account_id,
				suggestions: __props.accounts.map((a) => ({
					value: a.id,
					label: a.title
				}))
			}, null, _parent));
			_push(`</div><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				json: true,
				id: "to_account_id",
				label: _ctx.$t("To Account"),
				modelValue: unref(form).to_account_id,
				"onUpdate:modelValue": ($event) => unref(form).to_account_id = $event,
				error: unref(form).errors.to_account_id,
				suggestions: __props.accounts.map((a) => ({
					value: a.id,
					label: a.title
				}))
			}, null, _parent));
			_push(`</div><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				type: "number",
				id: "amount",
				label: _ctx.$t("Amount"),
				modelValue: unref(form).amount,
				"onUpdate:modelValue": ($event) => unref(form).amount = $event,
				error: unref(form).errors.amount
			}, null, _parent));
			_push(`</div><div class="col-span-6 sm:col-span-3">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				id: "reference",
				label: _ctx.$t("Reference"),
				modelValue: unref(form).reference,
				"onUpdate:modelValue": ($event) => unref(form).reference = $event,
				error: unref(form).errors.reference
			}, null, _parent));
			_push(`</div><div class="col-span-full">`);
			_push(ssrRenderComponent(unref(_sfc_main$4), {
				id: "note",
				label: _ctx.$t("Note"),
				modelValue: unref(form).note,
				"onUpdate:modelValue": ($event) => unref(form).note = $event,
				error: unref(form).errors.note
			}, null, _parent));
			_push(`</div></div><div class="flex flex-row justify-end bg-gray-100 px-6 py-4 text-end dark:bg-gray-950">`);
			_push(ssrRenderComponent(unref(_sfc_main$1), { onClick: ($event) => emits("close") }, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Cancel"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Cancel")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$5), {
				class: "ms-3",
				loading: unref(form).processing
			}, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Save"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`</div></form>`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Accounting/AccountTransfer/Form.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
